Template Numerical Library: TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Sequential, Index > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
List of all members
TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Sequential, Index > Class Template Reference
Inheritance diagram for TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Sequential, Index >:
[legend]
Collaboration diagram for TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Sequential, Index >:
[legend]

## Additional Inherited Members
Public Types inherited from TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Host, Index >
using | DeviceType = Devices::Host
| Device where the preconditioner will run on and auxiliary data will alloacted on.
using | IndexType = Index
| Type for indexing.
using | RealType = Real
| Floating point type used for computations.
Public Types inherited from TNL::Solvers::Linear::Preconditioners::Preconditioner< Matrix >
using | ConstVectorViewType = typename Traits< Matrix >::ConstVectorViewType
| Type for constant vector view.
using | DeviceType = typename Matrix::DeviceType
| Device where the solver will run on and auxiliary data will alloacted on.
using | IndexType = typename Matrix::IndexType
| Type for indexing.
using | MatrixPointer = std::shared_ptr< std::add_const_t< MatrixType > >
| Type of shared pointer to the matrix.
using | MatrixType = Matrix
| Type of the matrix representing the linear system.
using | RealType = typename Matrix::RealType
| Floating point type used for computations.
using | VectorViewType = typename Traits< Matrix >::VectorViewType
| Type for vector view.
Public Member Functions inherited from TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Host, Index >
void | solve (ConstVectorViewType b, VectorViewType x) const override
| This method applies the preconditioner.
void | update (const MatrixPointer &matrixPointer) override
| This method updates the preconditioner with respect to given matrix.
Public Member Functions inherited from TNL::Solvers::Linear::Preconditioners::Preconditioner< Matrix >
virtual | ~Preconditioner ()=default
| Destructor of the preconditioner.
virtual bool | setup (const Config::ParameterContainer &parameters, const String &prefix="")
| Method for setup of the preconditioner of linear iterative solver based on configuration parameters.
Static Public Member Functions inherited from TNL::Solvers::Linear::Preconditioners::Preconditioner< Matrix >
static void | configSetup (Config::ConfigDescription &config, const String &prefix="")
| This method defines configuration entries for setup of the preconditioner of linear iterative solver.
Protected Types inherited from TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Host, Index >
using | CSR = Matrices::SparseMatrix< RealType, DeviceType, IndexType, Matrices::GeneralMatrix, Algorithms::Segments::CSR >
Static Protected Member Functions inherited from TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Host, Index >
template<typename M>
static IndexType | getMinColumn (const M &m)
template<typename M>
static IndexType | getMinColumn (const Matrices::DistributedMatrix< M > &m)
Protected Attributes inherited from TNL::Solvers::Linear::Preconditioners::ILU0_impl< Matrix, Real, Devices::Host, Index >
CSR | L
CSR | U

The documentation for this class was generated from the following file:

- src/TNL/Solvers/Linear/Preconditioners/ILU0.h